package com.bocloud.cmp.model.hmc;

/**
 * HMC主机以太网适配器逻辑端口
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcHeaLogicalPortModel {
    private Long id;
    private Long heaId;
    private Long adapterId;
    private Integer logicalPortId;
    private String name;
    private String portState;
    private String macAddress;
    private Long partitionId;
    private String partitionName;
    private Integer portGroupId;
    private String allowedVlanIds;
    private String allowedOSMacAddresses;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHeaId() {
        return heaId;
    }

    public void setHeaId(Long heaId) {
        this.heaId = heaId;
    }

    public Long getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Long adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPortState() {
        return portState;
    }

    public void setPortState(String portState) {
        this.portState = portState;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public String getAllowedVlanIds() {
        return allowedVlanIds;
    }

    public void setAllowedVlanIds(String allowedVlanIds) {
        this.allowedVlanIds = allowedVlanIds;
    }

    public String getAllowedOSMacAddresses() {
        return allowedOSMacAddresses;
    }

    public void setAllowedOSMacAddresses(String allowedOSMacAddresses) {
        this.allowedOSMacAddresses = allowedOSMacAddresses;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }
}
